## crosstool-NG-esp-13.2.0_20240530-src.tar.xz

=== xtensa-dynconfig/Makefile ===
CONF_DIR ?= config

SOURCE_FILES = xtensa-config.c \
	       $(CONF_DIR)/%/binutils/bfd/xtensa-modules.c \
	       $(CONF_DIR)/%/gdb/gdb/xtensa-config.c \
	       $(CONF_DIR)/%/gdb/gdb/xtensa-xtregs.c

INCLUDE += -Iinclude \
           -I$(CONF_DIR)/$*/binutils/include

CFLAGS += $(INCLUDE) -fPIC -O2

%.so: $(SOURCE_FILES)
	$(CC) -shared $(CFLAGS) $^ -o $@

.PHONY: libs
libs: $(patsubst $(CONF_DIR)/%,%.so,$(wildcard $(CONF_DIR)/*))

.PHONY: clean
clean:
	rm -fr *.so

.PHONY: install
install: libs
	mkdir -p $(DESTDIR)$(PREFIX)/lib
	cp -f *.so $(DESTDIR)$(PREFIX)/lib

=== esp-toolchain-bin-wrappers/gnu-debugger/windows/Makefile ===
CROSS_COMPILE ?= ""
CC = $(CROSS_COMPILE)gcc
CXX = $(CROSS_COMPILE)g++
AR = $(CROSS_COMPILE)ar

RELEASE_FLAGS = -O2

esp-elf-gdb-wrapper.exe:
	$(CC) ${RELEASE_FLAGS} -DTARGET_ESP_ARCH_${TARGET_ESP_ARCH} main.c -o $@

install: esp-elf-gdb-wrapper.exe
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	cp esp-elf-gdb-wrapper.exe $(DESTDIR)$(PREFIX)/bin

clean:
	rm -f esp-elf-gdb-wrapper.exe

=== debian/changelog ===
crosstool-ng (1.23.0-1) unstable; urgency=low

  * Initial upload, Closes: #721430

 -- Multiple Candidates <open@example.com>  Wed, 24 May 2017 13:47:31 +0200

crosstool-ng (1.22.0git) unstable; urgency=low

  * Initial Debianized Release.

 -- Andrew 'Necromant' Andrianov <andrew@ncrmnt.org>  Mon, 07 Dec 2015 20:53:53 +0300

=== debian/control ===
Source: crosstool-ng
Section: devel
Priority: optional
Maintainer: Multiple Candidates <open@example.com>
Build-Depends: debhelper (>= 9), autoconf, automake, autotools-dev,
 libncursesw5-dev, libncurses5-dev, bison, flex, curl, wget,
 texinfo, help2man, gawk, git, subversion, bzip2, libtool-bin,
 unzip, python3-dev
Standards-Version: 3.9.8
Homepage: http://crosstool-ng.org/

Package: crosstool-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, build-essential, texinfo
Recommends: curl | wget
Description: create your own cross toolchains
 Crosstool-NG aims at building toolchains. Toolchains are an essential
 component in a software development project. It will compile, assemble and
 link the code that is being developed.
 .
 The usual toolchain is called "native" and is in packages
 like 'clang' and 'gcc' (This package is not needed for doing
 native development).
 .
 This package is for generating toolchains when doing development
 on a foreign architecture (when you need a cross compiler).

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@

# Make sure we call ./bootstrap before running dh_auto_configure
override_dh_auto_configure:
	test -e configure || ./bootstrap
	dh_auto_configure

override_dh_update_autotools_config:
    @:
